{
  "format_version": "1.10.0",
  "render_controllers": {
    "controller.render.silverlabs_nat.crab": {
      "geometry": "q.is_baby ? Geometry.baby : Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],

      "arrays": {
        "textures": {
          "Array.variant": [
            "Texture.default",
            "Texture.brown",
            "Texture.orange",
            "Texture.red",
            "Texture.yellow"
          ],
          "Array.baby_variant": [
            "Texture.baby_default",
            "Texture.baby_brown",
            "Texture.baby_orange",
            "Texture.baby_red",
            "Texture.baby_yellow"
          ]
        }
      },

      "textures": [
        "q.is_baby ? Array.baby_variant[q.property('silverlabs_nat:variant')] : Array.variant[q.property('silverlabs_nat:variant')]"
      ]
    }
  }
}
